Package org.apache.commons.imaging.icc

## Class IccProfileInfo

- java.lang.Object
- - org.apache.commons.imaging.icc.IccProfileInfo

-     public class IccProfileInfo
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `cmmTypeSignature` |
    `int` | `colorSpace` |
    `int` | `deviceManufacturer` |
    `int` | `deviceModel` |
    `int` | `primaryPlatformSignature` |
    `int` | `profileConnectionSpace` |
    `int` | `profileCreatorSignature` |
    `int` | `profileDeviceClassSignature` |
    `int` | `profileFileSignature` |
    `int` | `profileSize` |
    `int` | `profileVersion` |
    `int` | `renderingIntent` |
    `int` | `variousFlags` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IccProfileInfo​(byte[] data, int profileSize, int cmmTypeSignature, int profileVersion, int profileDeviceClassSignature, int colorSpace, int profileConnectionSpace, int profileFileSignature, int primaryPlatformSignature, int variousFlags, int deviceManufacturer, int deviceModel, int renderingIntent, int profileCreatorSignature, byte[] profileId, IccTag[] tags)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dump​(String prefix)` |
    `byte[]` | `getData()` |
    `byte[]` | `getProfileId()` |
    `IccTag[]` | `getTags()` |
    `boolean` | `issRGB()` |
    `String` | `toString()` |
    `String` | `toString​(String prefix)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### profileSize

          public final int profileSize

    - #### cmmTypeSignature

          public final int cmmTypeSignature

    - #### profileVersion

          public final int profileVersion

    - #### profileDeviceClassSignature

          public final int profileDeviceClassSignature

    - #### colorSpace

          public final int colorSpace

    - #### profileConnectionSpace

          public final int profileConnectionSpace

    - #### profileFileSignature

          public final int profileFileSignature

    - #### primaryPlatformSignature

          public final int primaryPlatformSignature

    - #### variousFlags

          public final int variousFlags

    - #### deviceManufacturer

          public final int deviceManufacturer

    - #### deviceModel

          public final int deviceModel

    - #### renderingIntent

          public final int renderingIntent

    - #### profileCreatorSignature

          public final int profileCreatorSignature

  - ### Constructor Detail

    - #### IccProfileInfo

          public IccProfileInfo​(byte[] data,
                                int profileSize,
                                int cmmTypeSignature,
                                int profileVersion,
                                int profileDeviceClassSignature,
                                int colorSpace,
                                int profileConnectionSpace,
                                int profileFileSignature,
                                int primaryPlatformSignature,
                                int variousFlags,
                                int deviceManufacturer,
                                int deviceModel,
                                int renderingIntent,
                                int profileCreatorSignature,
                                byte[] profileId,
                                IccTag[] tags)

  - ### Method Detail

    - #### getData

          public byte[] getData()

    - #### getProfileId

          public byte[] getProfileId()

    - #### getTags

          public IccTag[] getTags()

    - #### issRGB

          public boolean issRGB()

    - #### dump

          public void dump​(String prefix)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toString

          public String toString​(String prefix)
                          throws ImageReadException,
                                 IOException

      Throws:
        `ImageReadException`
        `IOException`